Bug 602445 - ipv4 static address returned as not valid
Summary: ipv4 static address returned as not valid
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Joey Boggs
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 20:47 UTC by Joey Boggs
Modified: 2010-11-11 14:53 UTC (History)
5 users (show)

Fixed In Version: ovirt-node-1.9.3-2.git0b599e2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 14:53:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (795 bytes, patch)
2010-06-10 16:29 UTC, Joey Boggs
no flags Details | Diff

Comment 2 RHEL Product and Program Management 2010-06-09 21:13:10 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Joey Boggs 2010-06-10 16:29:55 UTC
Created attachment 422966 [details]
patch

Comment 5 XinSun 2010-08-25 06:00:36 UTC
Check this bug on Rhev-h6.0-2.3 snapshot12, do follow test steps to check:

1. In firstboot menu, choose option 5 to configure network
2. Input valid ip address, then I can set it successfully.

Please see details:

Red Hat Enterprise Virtualization Hypervisor release 6.0 (12.el6)
 Hypervisor Configuration Menu

1) Configure storage partitions	   8) Register Host to RHN
2) Configure authentication	   9) Enable SNMP Agent
3) Set the hostname		  10) Configure the host for RHEV
4) iSCSI Initiator setup	  11) View logs
5) Networking setup		  12) Install locally and reboot
6) Logging setup		  13) Support Menu
7) Kdump Configuration
Choose an option:5
Management Network Configuration

***** WARNING *****
Configuring the network will destroy any existing networking
configuration on this system.
***** WARNING *****

Physical Networking Devices (*=PXE boot interface)
 Name       Driver       MAC               
 eth0       e1000e       b8:ac:6f:3e:66:d3 
1) eth0			    4) Abort
2) DNS			    5) Save And Return To Menu
3) NTP
Please select an interface or configuration option:1
Configure breth0 for use by eth0..


NIC is: ACTIVE
Help identify eth0 by blinking lights for 10 seconds ([Y]es/[N]o)?n
Include VLAN support ([Y]es/[N]o/[A]bort)? n
Enable IPv4 support ([S]tatic IP, [D]HCP, [N]o or [A]bort)?s
IP Address: 192.168.1.10
Netmask: 255.255.255.0
Gateway: 192.168.1.254
Enable IPv6 support ([S]tatic, [D]HCPv6, A[u]to, [N]o or [A]bort)? n
Is this correct ([Y]es/[N]o/[A]bort)? y
Management Network Configuration

***** WARNING *****
Configuring the network will destroy any existing networking
configuration on this system.
***** WARNING *****

Physical Networking Devices (*=PXE boot interface)
 Name       Driver       MAC               
 eth0       e1000e       b8:ac:6f:3e:66:d3 
1) eth0			    4) Abort
2) DNS			    5) Save And Return To Menu
3) NTP
Please select an interface or configuration option:5
Configuring network
Network configured successfully
Bringing up loopback interface:  [  OK  ]
Bringing up interface eth0:  [  OK  ]
Bringing up interface breth0:  [  OK  ]

[root@test /]# ifconfig
breth0    Link encap:Ethernet  HWaddr B8:AC:6F:3E:66:D3  
          inet addr:192.168.1.10  Bcast:192.168.1.255  Mask:255.255.255.0
          inet6 addr: fe80::baac:6fff:fe3e:66d3/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:87 errors:0 dropped:0 overruns:0 frame:0
          TX packets:12 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:9791 (9.5 KiB)  TX bytes:720 (720.0 b)

eth0      Link encap:Ethernet  HWaddr B8:AC:6F:3E:66:D3  
          inet6 addr: fe80::baac:6fff:fe3e:66d3/64 Scope:Link
          UP BROADCAST RUNNING PROMISC MULTICAST  MTU:1500  Metric:1
          RX packets:136660 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1270 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:12800921 (12.2 MiB)  TX bytes:83602 (81.6 KiB)
          Memory:fdfe0000-fe000000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:88222 errors:0 dropped:0 overruns:0 frame:0
          TX packets:88222 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:12826990 (12.2 MiB)  TX bytes:12826990 (12.2 MiB)

[root@test /]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
BRIDGE=breth0
ONBOOT=yes
HWADDR=b8:ac:6f:3e:66:d3

[root@test /]# cat /etc/sysconfig/network-scripts/ifcfg-breth0
DEVICE=breth0
TYPE=Bridge
PEERNTP=yes
DELAY=0
BOOTPROTO=none
IPADDR=192.168.1.10
NETMASK=255.255.255.0
GATEWAY=192.168.1.254
ONBOOT=yes


So change this bug's status to verified.

Comment 6 releng-rhel@redhat.com 2010-11-11 14:53:10 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.